package com.yd.dal.service.customer;

import com.yd.dal.entity.customer.AclPractitionerPotentialAssignedTrack;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("aclPractitionerPotentialAssignedTrackDALService")
public interface AclPractitionerPotentialAssignedTrackDALService {

    void saveAll(List<AclPractitionerPotentialAssignedTrack> potentialAssignedTrackList);

    List<AclPractitionerPotentialAssignedTrack> findByPractitionerIdAndPotentialIdAndTrackStatusId(Long practitionerId, Long potentialId, Long trackStatusId, Date trackDate);

    void save(AclPractitionerPotentialAssignedTrack assignedTrack);

    List<AclPractitionerPotentialAssignedTrack> findByPotentialIdAndIsLasted(Long potentialId, int isLasted);

    void updateAll(List<AclPractitionerPotentialAssignedTrack> assignedTrackUpdateList);

    List<AclPractitionerPotentialAssignedTrack> findByPractitionerIdAndPotentialId(Long practitionerId, Long potentialId);

    List<AclPractitionerPotentialAssignedTrack> findScoreByPractitionerIdAndDate(Long practitionerId, String time);

    void update(AclPractitionerPotentialAssignedTrack assignedTrack);

    void deleteScheduleTrackById(Long scheduleTrackId);
}
